RecipeViewerEvents.removeEntries('item', event => {
	event.remove('minecraft:cherry_boat'),
    event.remove('minecraft:spruce_boat'),
    event.remove('minecraft:oak_boat'),
    event.remove('minecraft:birch_boat'),
    event.remove('minecraft:mangrove_boat'),
    event.remove('minecraft:dark_oak_boat'),
    event.remove('minecraft:jungle_boat'),
    event.remove('minecraft:acacia_boat'),
    event.remove('minecraft:oak_chest_boat'),
    event.remove('minecraft:spruce_chest_boat'),
    event.remove('minecraft:birch_chest_boat'),
    event.remove('minecraft:cherry_chest_boat'),
    event.remove('minecraft:mangrove_chest_boat'),
    event.remove('minecraft:jungle_chest_boat'),
    event.remove('minecraft:acacia_chest_boat'),
    event.remove('minecraft:dark_oak_chest_boat'),
    event.remove('minecraft:wooden_pickaxe'),
    event.remove('minecraft:wooden_axe'),
    event.remove('minecraft:wooden_shovel'),
    event.remove('minecraft:wooden_hoe'),
    event.remove('minecraft:stone_shovel'),
    event.remove('minecraft:stone_pickaxe'),
    event.remove('minecraft:stone_axe'),
    event.remove('minecraft:stone_hoe'),
    event.remove('minecraft:iron_shovel'),
    event.remove('minecraft:iron_pickaxe'),
    event.remove('minecraft:iron_axe'),
    event.remove('minecraft:iron_hoe'),
    event.remove('minecraft:golden_pickaxe'),
    event.remove('minecraft:golden_shovel'),
    event.remove('minecraft:golden_axe'),
    event.remove('minecraft:golden_hoe'),
    event.remove('minecraft:diamond_shovel'),
    event.remove('minecraft:diamond_pickaxe'),
    event.remove('minecraft:diamond_axe'),
    event.remove('minecraft:diamond_hoe'),
    event.remove('minecraft:netherite_shovel'),
    event.remove('minecraft:netherite_pickaxe'),
    event.remove('minecraft:netherite_sword'),
    event.remove('minecraft:netherite_axe'),
    event.remove('minecraft:netherite_hoe'),
    event.remove('minecraft:diamond_sword'),
    event.remove('minecraft:golden_sword'),
    event.remove('minecraft:iron_sword'),
    event.remove('minecraft:stone_sword'),
    event.remove('minecraft:wooden_sword'),
    event.remove('minecraft:elytra'),
    event.remove('minecraft:wind_charge'),
    event.remove('minecraft:shears'),
    event.remove('minecraft:mace'),
    event.remove('minecraft:trident'),
    event.remove('minecraft:chainmail_helmet'),
    event.remove('minecraft:chainmail_chestplate'),
    event.remove('minecraft:chainmail_leggings'),
    event.remove('minecraft:chainmail_boots'),
    event.remove('minecraft:axolotl_bucket'),
    event.remove('minecraft:cod_bucket'),
    event.remove('minecraft:salmon_bucket'),
    event.remove('minecraft:tropical_fish_bucket'),
    event.remove('minecraft:pufferfish_bucket'),
    event.remove('minecraft:tadpole_bucket'),
    event.remove('minecraft:lava_bucket'),
    event.remove('minecraft:water_bucket'),
    event.remove('minecraft:bucket'),
    event.remove('minecraft:milk_bucket'),
    event.remove('minecraft:powder_snow_bucket'),
    event.remove('minecraft:skeleton_skull'),
    event.remove('minecraft:wither_skeleton_skull'),
    event.remove('minecraft:player_head'),
    event.remove('minecraft:zombie_head'),
    event.remove('minecraft:creeper_head'),
    event.remove('minecraft:piglin_head'),
    event.remove('minecraft:dragon_head'),
    event.remove('minecraft:dragon_egg'),
    event.remove('minecraft:end_portal_frame'),
    event.remove('minecraft:ender_eye'),
    event.remove('minecraft:vault'),
    event.remove('minecraft:infested_stone'),
    event.remove('minecraft:infested_cobblestone'),
    event.remove('minecraft:infested_stone_bricks'),
    event.remove('minecraft:infested_mossy_stone_bricks'),
    event.remove('minecraft:infested_cracked_stone_bricks'),
    event.remove('minecraft:infested_chiseled_stone_bricks'),
    event.remove('minecraft:infested_deepslate'),
    event.remove('minecraft:end_rod'),
    event.remove('minecraft:iron_block'),




    event.remove('afc:wood/boat/baobab'),
    event.remove('afc:wood/boat/eucalyptus'),
    event.remove('afc:wood/boat/mahogany'),
    event.remove('afc:wood/boat/hevea'),
    event.remove('afc:wood/boat/tualang'),
    event.remove('afc:wood/boat/teak'),
    event.remove('afc:wood/boat/cypress'),
    event.remove('afc:wood/boat/fig'),
    event.remove('afc:wood/boat/ironwood'),
    event.remove('afc:wood/boat/ipe'),
    event.remove('afc:wood/boat/araucaria'),
    event.remove('afc:wood/boat/beech'),
    event.remove('afc:wood/boat/ginkgo'),
    event.remove('afc:wood/boat/mahoe'),
    event.remove('tfc:wood/boat/acacia'),
    event.remove('tfc:wood/boat/ash'),
    event.remove('tfc:wood/boat/aspen'),
    event.remove('tfc:wood/boat/birch'),
    event.remove('tfc:wood/boat/blackwood'),
    event.remove('tfc:wood/boat/chestnut'),
    event.remove('tfc:wood/boat/douglas_fir'),
    event.remove('tfc:wood/boat/hickory'),
    event.remove('tfc:wood/boat/kapok'),
    event.remove('tfc:wood/boat/mangrove'),
    event.remove('tfc:wood/boat/maple'),
    event.remove('tfc:wood/boat/oak'),
    event.remove('tfc:wood/boat/pine'),
    event.remove('tfc:wood/boat/rosewood'),
    event.remove('tfc:wood/boat/sequoia'),
    event.remove('tfc:wood/boat/spruce'),
    event.remove('tfc:wood/boat/sycamore'),
    event.remove('tfc:wood/boat/white_cedar'),
    event.remove('tfc:wood/boat/willow')

})




ServerEvents.recipes(event => {

event.remove({output: 'irons_spellbooks:iron_spell_book'}),
event.remove({output: 'minecraft:leather'}),
event.remove({output: 'irons_spellbooks:alchemist_cauldron'}),
event.remove({output: 'irons_spellbooks:lesser_spell_slot_upgrade'}),
event.remove({output: 'irons_spellbooks:upgrade_orb'}),
event.remove({output: 'irons_spellbooks:magic_cloth'}),
event.remove({output: 'irons_spellbooks:arcane_ingot'}),
event.remove({output: 'irons_spellbooks:shriving_stone'}),
event.remove({output: 'irons_spellbooks:eldritch_manuscript'}),
event.remove({output: 'irons_spellbooks:frosted_helve'}),
event.remove({output: 'irons_spellbooks:energized_core'}),
event.remove({output: 'irons_spellbooks:blank_rune'}),
event.remove({output: 'irons_spellbooks:fire_rune'}),
event.remove({output: 'irons_spellbooks:ice_rune'}),
event.remove({output: 'irons_spellbooks:lightning_rune'}),
event.remove({output: 'irons_spellbooks:ender_rune'}),
event.remove({output: 'irons_spellbooks:holy_rune'}),
event.remove({output: 'irons_spellbooks:blood_rune'}),
event.remove({output: 'irons_spellbooks:evocation_rune'}),
event.remove({output: 'irons_spellbooks:arcane_rune'}),
event.remove({output: 'irons_spellbooks:cooldown_rune'}),
event.remove({output: 'irons_spellbooks:protection_rune'}),
event.remove({output: 'irons_spellbooks:nature_rune'}),
event.remove({output: 'irons_spellbooks:dragonskin_spell_book'}),
event.remove({output: 'irons_spellbooks:netherite_spell_book'}),
event.remove({output: 'irons_spellbooks:diamond_spell_book'}),
event.remove({output: 'irons_spellbooks:gold_spell_book'}),
event.remove({output: 'irons_spellbooks:copper_spell_book'}),
event.remove({output: 'irons_spellbooks:evoker_spell_book'}),
event.remove({output: 'irons_spellbooks:necronomicon_spell_book'}),
event.remove({output: 'irons_spellbooks:rotten_spell_book'}),
event.remove({output: 'irons_spellbooks:blaze_spell_book'}),
event.remove({output: 'irons_spellbooks:villager_spell_book'}),
event.remove({output: 'irons_spellbooks:druidic_spell_book'}),
event.remove({output: 'irons_spellbooks:arcane_anvil'}),
event.remove({output: 'irons_spellbooks:mana_ring'}),
event.remove({output: 'irons_spellbooks:wayward_compass'}),
event.remove({output: 'chalk:chalk_box'}),
event.remove({output: 'irons_spellbooks:divine_pearl'}),
event.remove({output: 'minecraft:brewing_stand'}),
event.remove({output: 'minecraft:glowstone'}),
event.remove({output: 'minecraft:grindstone'}),

event.remove({output: 'musketmod:musket'}),
event.remove({output: 'musketmod:musket_with_bayonet'}),
event.remove({output: 'musketmod:musket_with_scope'}),
event.remove({output: 'musketmod:blunderbuss'}),

event.remove({output: 'irons_spellbooks:pumpkin_boots'}),
event.remove({output: 'irons_spellbooks:pumpkin_leggings'}),
event.remove({output: 'irons_spellbooks:pumpkin_chestplate'}),
event.remove({output: 'irons_spellbooks:pumpkin_helmet'}),
event.remove({output: 'irons_spellbooks:pyromancer_boots'}),
event.remove({output: 'irons_spellbooks:pyromancer_leggings'}),
event.remove({output: 'irons_spellbooks:pyromancer_chestplate'}),
event.remove({output: 'irons_spellbooks:pyromancer_helmet'}),
event.remove({output: 'irons_spellbooks:electromancer_boots'}),
event.remove({output: 'irons_spellbooks:electromancer_leggings'}),
event.remove({output: 'irons_spellbooks:electromancer_chestplate'}),
event.remove({output: 'irons_spellbooks:electromancer_helmet'}),
event.remove({output: 'irons_spellbooks:cultist_boots'}),
event.remove({output: 'irons_spellbooks:cultist_leggings'}),
event.remove({output: 'irons_spellbooks:cultist_chestplate'}),
event.remove({output: 'irons_spellbooks:cultist_helmet'}),
event.remove({output: 'irons_spellbooks:cryomancer_boots'}),
event.remove({output: 'irons_spellbooks:cryomancer_leggings'}),
event.remove({output: 'irons_spellbooks:cryomancer_chestplate'}),
event.remove({output: 'irons_spellbooks:cryomancer_helmet'}),
event.remove({output: 'irons_spellbooks:shadowwalker_helmet'}),
event.remove({output: 'irons_spellbooks:shadowwalker_leggings'}),
event.remove({output: 'irons_spellbooks:shadowwalker_chestplate'}),
event.remove({output: 'irons_spellbooks:shadowwalker_boots'}),
event.remove({output: 'irons_spellbooks:priest_boots'}),
event.remove({output: 'irons_spellbooks:priest_leggings'}),
event.remove({output: 'irons_spellbooks:priest_chestplate'}),
event.remove({output: 'irons_spellbooks:priest_helmet'}),
event.remove({output: 'irons_spellbooks:plagued_boots'}),
event.remove({output: 'irons_spellbooks:plagued_leggings'}),
event.remove({output: 'irons_spellbooks:plagued_chestplate'}),
event.remove({output: 'irons_spellbooks:plagued_helmet'}),

event.remove({output: 'irons_spellbooks:cast_time_ring'}),
event.remove({output: 'irons_spellbooks:heavy_chain_necklace'}),
event.remove({output: 'irons_spellbooks:concentration_amulet'}),
event.remove({output: 'irons_spellbooks:amethyst_resonance_charm'}),
event.remove({output: 'irons_spellbooks:conjurers_talisman'}),
event.remove({output: 'irons_spellbooks:graybeard_staff'}),
event.remove({output: 'irons_spellbooks:artificer_cane'}),
event.remove({output: 'irons_spellbooks:ice_staff'}),
event.remove({output: 'irons_spellbooks:amethyst_rapier'}),
event.remove({output: 'irons_spellbooks:spellbreaker'}),

event.remove({output: 'immersiveengineering:railgun'}),
event.remove({output: 'immersiveengineering:chemthrower'}),
event.remove({output: 'immersiveengineering:revolver'}),
event.remove({output: 'immersiveengineering:drill'}),
event.remove({output: 'immersiveengineering:buzzsaw'}),
event.remove({output: 'immersiveengineering:turret_chem'}),
event.remove({output: 'immersiveengineering:gunpart_drum'}),
event.remove({output: 'immersiveengineering:gunpart_barrel'}),
event.remove({output: 'immersiveengineering:skyhook'}),
event.remove({output: 'immersiveengineering:gunpart_hammer'}),
event.remove({output: 'immersiveengineering:speedloader'}),

event.remove({output: 'smallships:cannon'}),
event.remove({output: 'smallships:cannon_ball'}),
event.remove({output: 'smallships:sail'}),
event.remove({output: 'smallships:oak_cog'}),
event.remove({output: 'smallships:oak_brigg'}),
event.remove({output: 'smallships:oak_galley'}),
event.remove({output: 'smallships:oak_drakkar'}),
event.remove({output: 'smallships:birch_cog'}),
event.remove({output: 'smallships:birch_brigg'}),
event.remove({output: 'smallships:birch_galley'}),
event.remove({output: 'smallships:birch_drakkar'}),
event.remove({output: 'smallships:jungle_cog'}),
event.remove({output: 'smallships:jungle_brigg'}),
event.remove({output: 'smallships:jungle_galley'}),
event.remove({output: 'smallships:jungle_drakkar'}),
event.remove({output: 'smallships:spruce_cog'}),
event.remove({output: 'smallships:spruce_brigg'}),
event.remove({output: 'smallships:spruce_galley'}),
event.remove({output: 'smallships:spruce_drakkar'}),
event.remove({output: 'smallships:acacia_cog'}),
event.remove({output: 'smallships:acacia_brigg'}),
event.remove({output: 'smallships:acacia_galley'}),
event.remove({output: 'smallships:acacia_drakkar'}),
event.remove({output: 'smallships:cherry_cog'}),
event.remove({output: 'smallships:cherry_brigg'}),
event.remove({output: 'smallships:cherry_galley'}),
event.remove({output: 'smallships:cherry_drakkar'}),
event.remove({output: 'smallships:dark_oak_cog'}),
event.remove({output: 'smallships:dark_oak_brigg'}),
event.remove({output: 'smallships:dark_oak_galley'}),
event.remove({output: 'smallships:dark_oak_drakkar'}),
event.remove({output: 'smallships:mangrove_cog'}),
event.remove({output: 'smallships:mangrove_brigg'}),
event.remove({output: 'smallships:mangrove_galley'}),
event.remove({output: 'smallships:mangrove_drakkar'}),

event.remove({output: 'another_furniture:oak_chair'}),
event.remove({output: 'another_furniture:spruce_chair'}),
event.remove({output: 'another_furniture:birch_chair'}),
event.remove({output: 'another_furniture:jungle_chair'}),
event.remove({output: 'another_furniture:acacia_chair'}),
event.remove({output: 'another_furniture:dark_oak_chair'}),
event.remove({output: 'another_furniture:mangrove_chair'}),
event.remove({output: 'another_furniture:cherry_chair'}),
event.remove({output: 'another_furniture:bamboo_chair'}),
event.remove({output: 'another_furniture:crimson_chair'}),
event.remove({output: 'another_furniture:warped_chair'}),

event.remove({output: 'another_furniture:oak_shelf'}),
event.remove({output: 'another_furniture:spruce_shelf'}),
event.remove({output: 'another_furniture:birch_shelf'}),
event.remove({output: 'another_furniture:jungle_shelf'}),
event.remove({output: 'another_furniture:acacia_shelf'}),
event.remove({output: 'another_furniture:dark_oak_shelf'}),
event.remove({output: 'another_furniture:mangrove_shelf'}),
event.remove({output: 'another_furniture:cherry_shelf'}),
event.remove({output: 'another_furniture:bamboo_shelf'}),
event.remove({output: 'another_furniture:crimson_shelf'}),
event.remove({output: 'another_furniture:warped_shelf'}),

event.remove({output: 'another_furniture:oak_table'}),
event.remove({output: 'another_furniture:spruce_table'}),
event.remove({output: 'another_furniture:birch_table'}),
event.remove({output: 'another_furniture:jungle_table'}),
event.remove({output: 'another_furniture:acacia_table'}),
event.remove({output: 'another_furniture:dark_oak_table'}),
event.remove({output: 'another_furniture:mangrove_table'}),
event.remove({output: 'another_furniture:cherry_table'}),
event.remove({output: 'another_furniture:bamboo_table'}),
event.remove({output: 'another_furniture:crimson_table'}),
event.remove({output: 'another_furniture:warped_table'}),

event.remove({output: 'another_furniture:oak_shutter'}),
event.remove({output: 'another_furniture:spruce_shutter'}),
event.remove({output: 'another_furniture:birch_shutter'}),
event.remove({output: 'another_furniture:jungle_shutter'}),
event.remove({output: 'another_furniture:acacia_shutter'}),
event.remove({output: 'another_furniture:dark_oak_shutter'}),
event.remove({output: 'another_furniture:mangrove_shutter'}),
event.remove({output: 'another_furniture:cherry_shutter'}),
event.remove({output: 'another_furniture:bamboo_shutter'}),
event.remove({output: 'another_furniture:crimson_shutter'}),
event.remove({output: 'another_furniture:warped_shutter'}),

event.remove({output: 'another_furniture:oak_flower_box'}),
event.remove({output: 'another_furniture:spruce_flower_box'}),
event.remove({output: 'another_furniture:birch_flower_box'}),
event.remove({output: 'another_furniture:jungle_flower_box'}),
event.remove({output: 'another_furniture:acacia_flower_box'}),
event.remove({output: 'another_furniture:dark_oak_flower_box'}),
event.remove({output: 'another_furniture:mangrove_flower_box'}),
event.remove({output: 'another_furniture:cherry_flower_box'}),
event.remove({output: 'another_furniture:bamboo_flower_box'}),
event.remove({output: 'another_furniture:crimson_flower_box'}),
event.remove({output: 'another_furniture:warped_flower_box'}),

event.remove({output: 'another_furniture:oak_bench'}),
event.remove({output: 'another_furniture:spruce_bench'}),
event.remove({output: 'another_furniture:birch_bench'}),
event.remove({output: 'another_furniture:jungle_bench'}),
event.remove({output: 'another_furniture:acacia_bench'}),
event.remove({output: 'another_furniture:dark_oak_bench'}),
event.remove({output: 'another_furniture:mangrove_bench'}),
event.remove({output: 'another_furniture:cherry_bench'}),
event.remove({output: 'another_furniture:bamboo_bench'}),
event.remove({output: 'another_furniture:crimson_bench'}),
event.remove({output: 'another_furniture:warped_bench'}),

event.remove({output: 'another_furniture:oak_oak_drawer'}),
event.remove({output: 'another_furniture:spruce_oak_drawer'}),
event.remove({output: 'another_furniture:birch_oak_drawer'}),
event.remove({output: 'another_furniture:jungle_oak_drawer'}),
event.remove({output: 'another_furniture:acacia_oak_drawer'}),
event.remove({output: 'another_furniture:dark_oak_oak_drawer'}),
event.remove({output: 'another_furniture:mangrove_oak_drawer'}),
event.remove({output: 'another_furniture:cherry_oak_drawer'}),
event.remove({output: 'another_furniture:bamboo_oak_drawer'}),
event.remove({output: 'another_furniture:crimson_oak_drawer'}),
event.remove({output: 'another_furniture:warped_oak_drawer'}),

event.remove({output: 'another_furniture:service_bell'}),

event.remove({output: 'another_furniture:white_curtain'}),
event.remove({output: 'another_furniture:orange_curtain'}),
event.remove({output: 'another_furniture:magenta_curtain'}),
event.remove({output: 'another_furniture:light_blue_curtain'}),
event.remove({output: 'another_furniture:yellow_curtain'}),
event.remove({output: 'another_furniture:lime_curtain'}),
event.remove({output: 'another_furniture:pink_curtain'}),
event.remove({output: 'another_furniture:gray_curtain'}),
event.remove({output: 'another_furniture:light_gray_curtain'}),
event.remove({output: 'another_furniture:cyan_curtain'}),
event.remove({output: 'another_furniture:purple_curtain'}),
event.remove({output: 'another_furniture:blue_curtain'}),
event.remove({output: 'another_furniture:brown_curtain'}),
event.remove({output: 'another_furniture:green_curtain'}),
event.remove({output: 'another_furniture:red_curtain'}),
event.remove({output: 'another_furniture:black_curtain'}),

event.remove({output: 'immersiveengineering:glider'}),
event.remove({output: 'minecraft:glistering_melon_slice'}),
event.remove({output: 'irons_spellbooks:boreal_blade'}),
event.remove({output: 'irons_spellbooks:twilight_gale'}),
event.remove({output: 'irons_spellbooks:portal_frame'}),
event.remove({output: 'irons_spellbooks:weapon_parts'}),
event.remove({output: 'irons_spellbooks:greater_conjurers_talisman'}),
event.remove({output: 'irons_spellbooks:expulsion_ring'}),
event.remove({output: 'irons_spellbooks:pyrium_staff'}),
event.remove({output: 'irons_spellbooks:scroll_forge'}),
event.remove({output: 'irons_spellbooks:cursed_doll_spell_book'}),
event.remove({output: 'irons_spellbooks:ice_spell_book'}),
event.remove({output: 'tfc:metal/chisel/copper'}),
event.remove({output: 'tfc:metal/anvil/red_steel'}),
event.remove({output: 'tfc:metal/anvil/blue_steel'}),
event.remove({output: 'tfc:wood/boat/palm'}),

event.remove({output: 'dragonsurvival:crystcursed_dragon_treat'}),
event.remove({output: 'dragonsurvival:golden_amethyst_shard'}),
event.remove({output: 'dragonsurvival:star_bone'}),
event.remove({output: 'dragonsurvival:star_heart'}),
event.remove({output: 'dragonsurvival:elder_dragon_dust'}),
event.remove({output: 'dragonsurvival:elder_dragon_bone'}),
event.remove({output: 'dragonsurvival:heart_element'}),
event.remove({output: 'dragonsurvival:charged_coal'}),
event.remove({output: 'dragonsurvival:charged_soup'}),
event.remove({output: 'dragonsurvival:charred_meat'}),
event.remove({output: 'dragonsurvival:charred_vegetable'}),
event.remove({output: 'dragonsurvival:charred_mushroom'}),
event.remove({output: 'dragonsurvival:charred_seafood'}),
event.remove({output: 'dragonsurvival:hot_dragon_rod'}),
event.remove({output: 'dragonsurvival:explosive_copper'}),
event.remove({output: 'dragonsurvival:quartz_explosive_copper'}),
event.remove({output: 'dragonsurvival:double_quartz'}),
event.remove({output: 'dragonsurvival:swee_sour_rabbit'}),
event.remove({output: 'dragonsurvival:luminous_ointment'}),
event.remove({output: 'dragonsurvival:diamond_chorus'}),
event.remove({output: 'dragonsurvival:smelly_meat_porridge'}),
event.remove({output: 'dragonsurvival:meat_wild_berries'}),
event.remove({output: 'dragonsurvival:meat_chorus_mix'}),
event.remove({output: 'dragonsurvival:seasoned_fish'}),
event.remove({output: 'dragonsurvival:golden_coral_pufferfish'}),
event.remove({output: 'dragonsurvival:frozen_raw_fish'}),
event.remove({output: 'dragonsurvival:golden_turtle_egg'}),
event.remove({output: 'dragonsurvival:sea_dragon_treat'}),
event.remove({output: 'dragonsurvival:cave_dragon_treat'}),
event.remove({output: 'dragonsurvival:forest_dragon_treat'}),
event.remove({output: 'dragonsurvival:light_upgrade'}),
event.remove({output: 'dragonsurvival:light_dragon_helmet'}),
event.remove({output: 'dragonsurvival:light_dragon_chestplate'}),
event.remove({output: 'dragonsurvival:light_dragon_leggings'}),
event.remove({output: 'dragonsurvival:light_dragon_boots'}),
event.remove({output: 'dragonsurvival:dark_upgrade'}),
event.remove({output: 'dragonsurvival:dark_dragon_helmet'}),
event.remove({output: 'dragonsurvival:dark_dragon_chestplate'}),
event.remove({output: 'dragonsurvival:dark_dragon_leggings'}),
event.remove({output: 'dragonsurvival:dark_dragon_boots'}),
event.remove({output: 'dragonsurvival:dragon_hunter_sword'}),
event.remove({output: 'dragonsurvival:hunter_partisan'}),
event.remove({output: 'dragonsurvival:hunter_partisan_diamond'}),
event.remove({output: 'dragonsurvival:hunter_partisan_netherite'}),
event.remove({output: 'dragonsurvival:cave_source_of_magic'}),
event.remove({output: 'dragonsurvival:forest_source_of_magic'}),
event.remove({output: 'dragonsurvival:sea_source_of_magic'}),
event.remove({output: 'dragonsurvival:beacon_activator'}),
event.remove({output: 'dragonsurvival:dragon_soul'}),
event.remove({output: 'dragonsurvival:light_key'}),
event.remove({output: 'dragonsurvival:dark_key'}),
event.remove({output: 'dragonsurvival:hunter_key'}),
event.remove({output: 'dragonsurvival:spearman_promotion'}),
event.remove({output: 'dragonsurvival:wing_grant'}),
event.remove({output: 'dragonsurvival:spin_grant'}),
event.remove({output: 'dragonsurvival:stone_dragon_altar'}),
event.remove({output: 'dragonsurvival:sandstone_dragon_altar'}),
event.remove({output: 'dragonsurvival:red_sandstone_dragon_altar'}),
event.remove({output: 'dragonsurvival:purpur_dragon_altar'}),
event.remove({output: 'dragonsurvival:oak_dragon_altar'}),
event.remove({output: 'dragonsurvival:birch_dragon_altar'}),
event.remove({output: 'dragonsurvival:nether_brick_dragon_altar'}),
event.remove({output: 'dragonsurvival:mossy_dragon_altar'}),
event.remove({output: 'dragonsurvival:blackstone_dragon_altar'}),
event.remove({output: 'dragonsurvival:pale_oak_dragon_altar'}),
event.remove({output: 'dragonsurvival:bone_dragon_altar'}),
event.remove({output: 'dragonsurvival:quartz_dragon_altar'}),
event.remove({output: 'dragonsurvival:ice_dragon_altar'}),
event.remove({output: 'dragonsurvival:netherrack_dragon_altar'}),
event.remove({output: 'dragonsurvival:obsidian_dragon_altar'}),
event.remove({output: 'dragonsurvival:amethyst_dragon_altar'}),
event.remove({output: 'dragonsurvival:mudbrick_dragon_altar'}),
event.remove({output: 'dragonsurvival:prismarine_dragon_altar'}),
event.remove({output: 'dragonsurvival:red_nether_brick_dragon_altar'}),
event.remove({output: 'dragonsurvival:endstone_dragon_altar'}),
event.remove({output: 'dragonsurvival:deepslate_dragon_altar'}),
event.remove({output: 'dragonsurvival:tuff_dragon_altar'}),
event.remove({output: 'dragonsurvival:crimson_dragon_altar'}),
event.remove({output: 'dragonsurvival:warped_dragon_altar'}),
event.remove({output: 'dragonsurvival:mangrove_dragon_altar'}),
event.remove({output: 'dragonsurvival:bamboo_dragon_altar'}),
event.remove({output: 'dragonsurvival:cherry_dragon_altar'}),
event.remove({output: 'dragonsurvival:acacia_dragon_altar'}),
event.remove({output: 'dragonsurvival:dark_oak_dragon_altar'}),
event.remove({output: 'dragonsurvival:jungle_dragon_altar'}),
event.remove({output: 'dragonsurvival:spruce_dragon_altar'}),
event.remove({output: 'dragonsurvival:dragon_memory_block'}),
event.remove({output: 'dragonsurvival:dragon_beacon'}),
event.remove({output: 'dragonsurvival:debris_dragon_treasure'}),
event.remove({output: 'dragonsurvival:gold_dragon_treasure'}),
event.remove({output: 'dragonsurvival:diamond_dragon_treasure'}),
event.remove({output: 'dragonsurvival:emerald_dragon_treasure'}),
event.remove({output: 'dragonsurvival:copper_dragon_treasure'}),
event.remove({output: 'dragonsurvival:iron_dragon_treasure'}),
event.remove({output: 'dragonsurvival:gray_knight_helmet'}),
event.remove({output: 'dragonsurvival:golden_knight_helmet'}),
event.remove({output: 'dragonsurvival:black_knight_helmet'}),
event.remove({output: 'dragonsurvival:light_vault'}),
event.remove({output: 'dragonsurvival:dark_vault'}),
event.remove({output: 'dragonsurvival:hunter_vault'}),
event.remove({output: 'dragonsurvival:primordial_anchor'}),
event.remove({output: 'dragonsurvival:dragon_rider_workbench'}),
event.remove({output: 'minecraft:dark_prismarine'}),
event.remove({output: 'dragonsurvival:sea_lantern'}),
event.remove({output: 'dragonsurvival:prismarine_bricks'}),
event.remove({output: 'dragonsurvival:prismarine'}),

event.remove({output: 'tfc:wood/boat/willow'}),
event.remove({output: 'tfc:wood/boat/white_cedar'}),
event.remove({output: 'tfc:wood/boat/sycamore'}),
event.remove({output: 'tfc:wood/boat/spruce'}),
event.remove({output: 'tfc:wood/boat/sequoia'}),
event.remove({output: 'tfc:wood/boat/rosewood'}),
event.remove({output: 'tfc:wood/boat/pine'}),
event.remove({output: 'tfc:wood/boat/oak'}),
event.remove({output: 'tfc:wood/boat/maple'}),
event.remove({output: 'tfc:wood/boat/mangrove'}),
event.remove({output: 'tfc:wood/boat/kapok'}),
event.remove({output: 'tfc:wood/boat/hickory'}),
event.remove({output: 'tfc:wood/boat/douglas_fir'}),
event.remove({output: 'tfc:wood/boat/chestnut'}),
event.remove({output: 'tfc:wood/boat/blackwood'}),
event.remove({output: 'tfc:wood/boat/birch'}),
event.remove({output: 'tfc:wood/boat/aspen'}),
event.remove({output: 'tfc:wood/boat/ash'}),
event.remove({output: 'tfc:wood/boat/acacia'}),
event.remove({output: 'afc:wood/boat/mahoe'}),
event.remove({output: 'afc:wood/boat/ginkgo'}),
event.remove({output: 'afc:wood/boat/beech'}),
event.remove({output: 'afc:wood/boat/araucaria'}),
event.remove({output: 'afc:wood/boat/ipe'}),
event.remove({output: 'afc:wood/boat/ironwood'}),
event.remove({output: 'afc:wood/boat/fig'}),
event.remove({output: 'afc:wood/boat/cypress'}),
event.remove({output: 'afc:wood/boat/teak'}),
event.remove({output: 'afc:wood/boat/tualang'}),
event.remove({output: 'afc:wood/boat/hevea'}),
event.remove({output: 'afc:wood/boat/mahogany'}),
event.remove({output: 'afc:wood/boat/eucalyptus'}),
event.remove({output: 'afc:wood/boat/baobab'}),
event.remove({output: 'minecraft:oak_boat'}),
event.remove({output: 'minecraft:spruce_boat'}),
event.remove({output: 'minecraft:birch_boat'}),
event.remove({output: 'minecraft:jungle_boat'}),
event.remove({output: 'minecraft:acacia_boat'}),
event.remove({output: 'minecraft:dark_oak_boat'}),
event.remove({output: 'minecraft:mangrove_boat'}),
event.remove({output: 'minecraft:cherry_boat'}),























    event.shaped(
        Item.of('minecraft:grindstone'),
        [
            'SRS',
            'P P'
        ],
        {
            P: '#minecraft:planks',
            S: '#c:rods/wooden',
            R: '#c:stones/raw'
        }
    ),

    event.shaped(
        Item.of('another_furniture:oak_chair'),
        [
            'P  ',
            'PP ',
            'SS '
        ],
        {
            P: 'tfc:wood/planks/oak',
            S: 'minecraft:stick'
        }
    ),

    event.shaped(
        Item.of('another_furniture:birch_chair'),
        [
            'P  ',
            'PP ',
            'SS '
        ],
        {
            P: 'tfc:wood/planks/pine',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:spruce_chair'),
        [
            'P  ',
            'PP ',
            'SS '
        ],
        {
            P: 'tfc:wood/planks/maple',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:dark_oak_chair'),
        [
            'P  ',
            'PP ',
            'SS '
        ],
        {
            P: 'tfc:wood/planks/hickory',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:acacia_chair'),
        [
            'P  ',
            'PP ',
            'SS '
        ],
        {
            P: 'tfc:wood/planks/acacia',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:mangrove_chair'),
        [
            'P  ',
            'PP ',
            'SS '
        ],
        {
            P: 'tfc:wood/planks/mangrove',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:cherry_chair'),
        [
            'P  ',
            'PP ',
            'SS '
        ],
        {
            P: 'afc:wood/planks/fig',
            S: 'minecraft:stick'
        }
    ),

    event.shaped(
        Item.of('another_furniture:oak_bench'),
        [
            'P  ',
            'PPP',
            'S S'
        ],
        {
            P: 'tfc:wood/planks/oak',
            S: 'minecraft:stick'
        }
    ),

    event.shaped(
        Item.of('another_furniture:birch_bench'),
        [
            'P  ',
            'PPP',
            'S S'
        ],
        {
            P: 'tfc:wood/planks/pine',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:spruce_bench'),
        [
            'P  ',
            'PPP',
            'S S'
        ],
        {
            P: 'tfc:wood/planks/maple',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:dark_oak_bench'),
        [
            'P  ',
            'PPP',
            'S S'
        ],
        {
            P: 'tfc:wood/planks/hickory',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:acacia_bench'),
        [
            'P  ',
            'PPP',
            'S S'
        ],
        {
            P: 'tfc:wood/planks/acacia',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:mangrove_bench'),
        [
            'P  ',
            'PPP',
            'S S'
        ],
        {
            P: 'tfc:wood/planks/mangrove',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:cherry_bench'),
        [
            'P  ',
            'PPP',
            'S S'
        ],
        {
            P: 'afc:wood/planks/fig',
            S: 'minecraft:stick'
        }
    ),


        event.shaped(
        Item.of('another_furniture:oak_shelf'),
        [
            'PPP',
            'S  '
        ],
        {
            P: 'tfc:wood/planks/oak',
            S: 'minecraft:stick'
        }
    ),
        event.shaped(
        Item.of('another_furniture:spruce_shelf'),
        [
            'PPP',
            'S  '
        ],
        {
            P: 'tfc:wood/planks/maple',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:birch_shelf'),
        [
            'PPP',
            'S  '
        ],
        {
            P: 'tfc:wood/planks/pine',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:acacia_shelf'),
        [
            'PPP',
            'S  '
        ],
        {
            P: 'tfc:wood/planks/acacia',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:dark_oak_shelf'),
        [
            'PPP',
            'S  '
        ],
        {
            P: 'tfc:wood/planks/hickory',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:mangrove_shelf'),
        [
            'PPP',
            'S  '
        ],
        {
            P: 'tfc:wood/planks/mangrove',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:cherry_shelf'),
        [
            'PPP',
            'S  '
        ],
        {
            P: 'afc:wood/planks/fig',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:oak_table'),
        [
            'PPP',
            'S S'
        ],
        {
            P: 'tfc:wood/planks/oak',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:spruce_table'),
        [
            'PPP',
            'S S'
        ],
        {
            P: 'tfc:wood/planks/maple',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:birch_table'),
        [
            'PPP',
            'S S'
        ],
        {
            P: 'tfc:wood/planks/pine',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:dark_oak_table'),
        [
            'PPP',
            'S S'
        ],
        {
            P: 'tfc:wood/planks/hickory',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:mangrove_table'),
        [
            'PPP',
            'S S'
        ],
        {
            P: 'tfc:wood/planks/mangrove',
            S: 'minecraft:stick'
        }
    ),
        event.shaped(
        Item.of('another_furniture:service_bell', 8),
        [
            'N  ',
            'I  '
        ],
        {
            N: 'minecraft:iron_nugget',
            I: 'tfc:metal/ingot/wrought_iron'
        }
    ),

        event.shaped(
        Item.of('another_furniture:cherry_table'),
        [
            '   ',
            'PPP',
            'S S'
        ],
        {
            P: 'afc:wood/planks/fig',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:oak_shutter'),
        [
            'P  ',
            'P  ',
            'P  '
        ],
        {
            P: 'tfc:wood/planks/oak'
        }
    ),

            event.shaped(
        Item.of('another_furniture:spruce_shutter'),
        [
            'P  ',
            'P  ',
            'P  '
        ],
        {
            P: 'tfc:wood/planks/maple'
        }
    ),

        event.shaped(
        Item.of('another_furniture:birch_shutter'),
        [
            'P  ',
            'P  ',
            'P  '
        ],
        {
            P: 'tfc:wood/planks/pine'
        }
    ),

        event.shaped(
        Item.of('another_furniture:acacia_shutter'),
        [
            'P  ',
            'P  ',
            'P  '
        ],
        {
            P: 'tfc:wood/planks/acacia'
        }
    ),

        event.shaped(
        Item.of('another_furniture:dark_oak_shutter'),
        [
            'P  ',
            'P  ',
            'P  '
        ],
        {
            P: 'tfc:wood/planks/hickory'
        }
    ),

        event.shaped(
        Item.of('another_furniture:mangrove_shutter'),
        [
            'P  ',
            'P  ',
            'P  '
        ],
        {
            P: 'tfc:wood/planks/mangrove'
        }
    ),

        event.shaped(
        Item.of('another_furniture:cherry_shutter'),
        [
            'P  ',
            'P  ',
            'P  '
        ],
        {
            P: 'afc:wood/planks/fig'
        }
    ),

        event.shaped(
        Item.of('another_furniture:white_curtain', 32),
        [
            'WW ',
            'WW ',
            'SS '
        ],
        {
            W: 'minecraft:white_wool',
            S: 'minecraft:stick'
        }
    ),
        event.shaped(
        Item.of('another_furniture:orange_curtain', 32),
        [
            'WW ',
            'WW ',
            'SS '
        ],
        {
            W: 'minecraft:orange_wool',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:blue_curtain', 32),
        [
            'WW ',
            'WW ',
            'SS '
        ],
        {
            W: 'minecraft:blue_wool',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:purple_curtain', 32),
        [
            'WW ',
            'WW ',
            'SS '
        ],
        {
            W: 'minecraft:purple_wool',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:magenta_curtain', 32),
        [
            'WW ',
            'WW ',
            'SS '
        ],
        {
            W: 'minecraft:purple_wool',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:light_blue_curtain', 32),
        [
            'WW ',
            'WW ',
            'SS '
        ],
        {
            W: 'minecraft:purple_wool',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:yellow_curtain', 32),
        [
            'WW ',
            'WW ',
            'SS '
        ],
        {
            W: 'minecraft:purple_wool',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:lime_curtain', 32),
        [
            'WW ',
            'WW ',
            'SS '
        ],
        {
            W: 'minecraft:purple_wool',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:pink_curtain', 32),
        [
            'WW ',
            'WW ',
            'SS '
        ],
        {
            W: 'minecraft:purple_wool',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:gray_curtain', 32),
        [
            'WW ',
            'WW ',
            'SS '
        ],
        {
            W: 'minecraft:purple_wool',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:light_gray_curtain', 32),
        [
            'WW ',
            'WW ',
            'SS '
        ],
        {
            W: 'minecraft:purple_wool',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:cyan_curtain', 32),
        [
            'WW ',
            'WW ',
            'SS '
        ],
        {
            W: 'minecraft:purple_wool',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:brown_curtain', 32),
        [
            'WW ',
            'WW ',
            'SS '
        ],
        {
            W: 'minecraft:purple_wool',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:green_curtain', 32),
        [
            'WW ',
            'WW ',
            'SS '
        ],
        {
            W: 'minecraft:purple_wool',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:red_curtain', 32),
        [
            'WW ',
            'WW ',
            'SS '
        ],
        {
            W: 'minecraft:purple_wool',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:black_curtain', 32),
        [
            'WW ',
            'WW ',
            'SS '
        ],
        {
            W: 'minecraft:purple_wool',
            S: 'minecraft:stick'
        }
    ),

        event.shaped(
        Item.of('another_furniture:oak_flower_box'),
        [
            '   ',
            'LDL',
            'LLL'
        ],
        {
            L: 'tfc:wood/lumber/oak',
            D: '#minecraft:dirt'
        }
    ),
        event.shaped(
        Item.of('another_furniture:spruce_flower_box'),
        [
            '   ',
            'LDL',
            'LLL'
        ],
        {
            L: 'tfc:wood/lumber/maple',
            D: '#minecraft:dirt'
        }
    ),

        event.shaped(
        Item.of('another_furniture:birch_flower_box'),
        [
            '   ',
            'LDL',
            'LLL'
        ],
        {
            L: 'tfc:wood/lumber/pine',
            D: '#minecraft:dirt'
        }
    ),

        event.shaped(
        Item.of('another_furniture:acacia_flower_box'),
        [
            '   ',
            'LDL',
            'LLL'
        ],
        {
            L: 'tfc:wood/lumber/acacia',
            D: '#minecraft:dirt'
        }
    ),

        event.shaped(
        Item.of('another_furniture:dark_oak_flower_box'),
        [
            '   ',
            'LDL',
            'LLL'
        ],
        {
            L: 'tfc:wood/lumber/hickory',
            D: '#minecraft:dirt'
        }
    ),

        event.shaped(
        Item.of('another_furniture:mangrove_flower_box'),
        [
            '   ',
            'LDL',
            'LLL'
        ],
        {
            L: 'tfc:wood/lumber/mangrove',
            D: '#minecraft:dirt'
        }
    ),

        event.shaped(
        Item.of('another_furniture:cherry_flower_box'),
        [
            '   ',
            'LDL',
            'LLL'
        ],
        {
            L: 'afc:wood/lumber/fig',
            D: '#minecraft:dirt'
        }
    ),

        event.shaped(
        Item.of('minecraft:cauldron'),
        [
            'I I',
            'I I',
            'III'
        ],
        {
            I: 'tfc:metal/ingot/steel'
        }
    ),



event.shapeless(
 Item.of('tfc:ceramic/ingot_mold'),
 [
  'tfc:ceramic/unfired_ingot_mold',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('minecraft:glowstone_dust'),
 [
  'tfc:powder/pyrite'
 ]
),

    event.shaped(
        Item.of('irons_spellbooks:scroll_forge'),
        [
            'BBB',
            'EIE',
            'CCC'
        ],
        {
            B: 'tfc:rock/smooth/basalt',
            E: 'irons_spellbooks:arcane_essence',
            I: 'tfc:metal/double_sheet/wrought_iron',
            C: 'tfc:rock/bricks/basalt'
        }
    ),

      event.shaped(
        Item.of('musketmod:musket'),
        [
            'I  ',
            ' IF',
            ' LL'
        ],
        {
            I: 'tfc:metal/ingot/wrought_iron',
            F: 'minecraft:flint_and_steel',
            L: '#tfc:lumber'
        }
    ),
      event.shaped(
        Item.of('musketmod:blunderbuss'),
        [
            'I  ',
            ' IF',
            ' LL'
        ],
        {
            I: 'tfc:metal/ingot/steel',
            F: 'minecraft:flint_and_steel',
            L: '#tfc:lumber'
        }
    ),

      event.shaped(
        Item.of('musketmod:musket_with_bayonet'),
        [
            'I  ',
            'SIF',
            ' LL'
        ],
        {
            I: 'tfc:metal/ingot/wrought_iron',
            F: 'minecraft:flint_and_steel',
            L: '#tfc:lumber',
            S: 'tfc:metal/sword/wrought_iron'
        }
    ),

      event.shaped(
        Item.of('musketmod:musket_with_scope'),
        [
            'IS ',
            ' IF',
            ' LL'
        ],
        {
            I: 'tfc:metal/ingot/wrought_iron',
            F: 'minecraft:flint_and_steel',
            L: '#tfc:lumber',
            S: 'minecraft:spyglass'
        }
    ),

event.shapeless(
 Item.of('tfc:ceramic/pickaxe_head_mold'),
 [
  'tfc:ceramic/unfired_pickaxe_head_mold',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('minecraft:lapis_lazuli'),
 [
  'tfc:gem/lapis_lazuli'
 ]
),

event.shapeless(
 Item.of('tfc:ceramic/vessel'),
 [
  'tfc:ceramic/unfired_vessel',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('tfc:ceramic/propick_head_mold'),
 [
  'tfc:ceramic/unfired_propick_head_mold',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('tfc:ceramic/axe_head_mold'),
 [
  'tfc:ceramic/unfired_axe_head_mold',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('tfc:ceramic/shovel_head_mold'),
 [
  'tfc:ceramic/unfired_shovel_head_mold',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('tfc:ceramic/hoe_head_mold'),
 [
  'tfc:ceramic/unfired_hoe_head_mold',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('tfc:ceramic/chisel_head_mold'),
 [
  'tfc:ceramic/unfired_chisel_head_mold',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('tfc:ceramic/hammer_head_mold'),
 [
  'tfc:ceramic/unfired_hammer_head_mold',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('tfc:ceramic/saw_blade_mold'),
 [
  'tfc:ceramic/unfired_saw_blade_mold',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('tfc:ceramic/javelin_head_mold'),
 [
  'tfc:ceramic/unfired_javelin_head_mold',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('tfc:ceramic/bell_mold'),
 [
  'tfc:ceramic/unfired_bell_mold',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('tfc:ceramic/sword_blade_mold'),
 [
  'tfc:ceramic/unfired_sword_blade_mold',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('tfc:ceramic/scythe_blade_mold'),
 [
  'tfc:ceramic/unfired_scythe_blade_mold',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('tfc:ceramic/mace_head_mold'),
 [
  'tfc:ceramic/unfired_mace_head_mold',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('tfc:ceramic/knife_blade_mold'),
 [
  'tfc:ceramic/unfired_knife_blade_mold',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('tfc:ceramic/jug'),
 [
  'tfc:ceramic/unfired_jug',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('tfc:ceramic/pot'),
 [
  'tfc:ceramic/unfired_pot',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('tfc:ceramic/spindle_head'),
 [
  'tfc:ceramic/unfired_spindle_head',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('minecraft:flower_pot'),
 [
  'tfc:ceramic/unfired_flower_pot',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('tfc:ceramic/bowl'),
 [
  'tfc:ceramic/unfired_bowl',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('tfc:pan/empty'),
 [
  'tfc:ceramic/unfired_pan',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('tfc:ceramic_blowpipe'),
 [
  'tfc:ceramic/unfired_blowpipe',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('tfc:ceramic/large_vessel'),
 [
  'tfc:ceramic/unfired_large_vessel',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'tfc:wood/bookshelf/willow',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'tfc:wood/bookshelf/white_cedar',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'tfc:wood/bookshelf/sycamore',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'tfc:wood/bookshelf/spruce',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'tfc:wood/bookshelf/sequoia',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'tfc:wood/bookshelf/rosewood',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'tfc:wood/bookshelf/pine',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'tfc:wood/bookshelf/palm',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'tfc:wood/bookshelf/palm',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'tfc:wood/bookshelf/oak',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'tfc:wood/bookshelf/maple',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'tfc:wood/bookshelf/mangrove',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'tfc:wood/bookshelf/kapok',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'tfc:wood/bookshelf/hickory',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'tfc:wood/bookshelf/douglas_fir',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'tfc:wood/bookshelf/chestnut',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'tfc:wood/bookshelf/blackwood',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'tfc:wood/bookshelf/birch',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'tfc:wood/bookshelf/aspen',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'tfc:wood/bookshelf/ash',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'tfc:wood/bookshelf/acacia',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'afc:wood/bookshelf/mahoe',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'afc:wood/bookshelf/ginkgo',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'afc:wood/bookshelf/beech',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'afc:wood/bookshelf/araucaria',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'afc:wood/bookshelf/ipe',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'afc:wood/bookshelf/ironwood',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'afc:wood/bookshelf/fig',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'afc:wood/bookshelf/cypress',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'afc:wood/bookshelf/teak',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'afc:wood/bookshelf/tualang',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'afc:wood/bookshelf/hevea',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'afc:wood/bookshelf/mahogany',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'afc:wood/bookshelf/eucalyptus',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('minecraft:bookshelf'),
 [
  'afc:wood/bookshelf/baobab',
  'minecraft:book',
  'minecraft:book',
  'minecraft:book'
 ]
),

event.shapeless(
 Item.of('lithiccoins:ceramic/coin_mold'),
 [
  'lithiccoins:ceramic/unfired_coin_mold',
  '#firmalife:oven_fuel',
  '#firmalife:oven_fuel',
  'tfc:straw',
  'tfc:straw'
 ]
),

event.shaped(
 Item.of('minecraft:jukebox'),
 [
  'PNP',
  'PSP',
  'PPP'
 ],
 {
  P: '#minecraft:planks',
  N: 'tfc:metal/rod/copper',
  S: 'tfc:metal/sheet/copper'
 }
),

event.shapeless(
 Item.of('minecraft:crying_obsidian'),
 [
  'minecraft:obsidian',
  'irons_spellbooks:arcane_essence'
 ]
),

event.shapeless(
 Item.of('smallships:cannon_ball', 4),
 [
  'tfc:metal/ingot/cast_iron'
 ]
)
event.shaped(
        Item.of('irons_spellbooks:cursed_doll_spell_book'),
        [
            'AB ',
            'BCB',
            ' BA'
        ],
        {
            A: 'irons_spellbooks:mithril_ingot',
            B: 'irons_spellbooks:bloody_vellum',
            C: 'irons_spellbooks:diamond_spell_book'
        }
    ),
    event.shaped(
        Item.of('irons_spellbooks:ice_spell_book'),
        [
            'AAA',
            'BCB',
            'DDD'
        ],
        {
            A: 'irons_spellbooks:ice_venom_vial',
            B: 'irons_spellbooks:mithril_ingot',
            C: 'irons_spellbooks:diamond_spell_book',
            D: 'irons_spellbooks:magic_cloth'
        }
    ),

      event.shaped(
        Item.of('minecraft:enchanting_table'),
        [
            'DBD',
            'DRD',
            'OOO'
        ],
        {
            B: 'minecraft:book',
            O: 'minecraft:obsidian',
            R: 'minecraft:red_carpet',
            D: 'tfc:gem/diamond'
        }
    ),
    event.shapeless(
        Item.of('irons_spellbooks:bloody_vellum'),
        [
            'tfc:small_prepared_hide',
            'irons_spellbooks:blood_vial'
        ]
    ),
    event.shapeless(
        Item.of('irons_spellbooks:bloody_vellum', 2),
        [
            'tfc:medium_prepared_hide',
            'irons_spellbooks:blood_vial',
            'irons_spellbooks:blood_vial'
        ]
    ),
    event.shapeless(
        Item.of('irons_spellbooks:bloody_vellum', 3),
        [
            'tfc:large_prepared_hide',
            'irons_spellbooks:blood_vial',
            'irons_spellbooks:blood_vial',
            'irons_spellbooks:blood_vial'
        ]
    ),
    event.shaped(
        Item.of('smallships:sail'),
        [
            'AAA',
            'ABA',
            'CDC'
        ],
        {
            A: '#tfc:high_quality_cloth',
            B: '#firmalife:oven_fuel',
            C: '#c:strings',
            D: '#firmalife:oven_fuel'
        }
    ),
    event.shaped(
        Item.of('smallships:cannon'),
        [
            '  A',
            'BBB',
            ' CD'
        ],
        {
            A: '#c:strings',
            B: 'tfc:metal/double_ingot/cast_iron',
            C: '#firmalife:oven_fuel',
            D: '#firmalife:oven_fuel'
        }
    ),
    event.shaped(
        Item.of('smallships:oak_brigg'),
        [
            'ABA',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:oak_logs',
            D: 'tfc:metal/rod/steel',
            E: 'tfc:metal/ingot/steel'
        }
    ),
    event.shaped(
        Item.of('smallships:oak_cog'),
        [
            'BAB',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:oak_logs',
            D: 'tfc:metal/rod/wrought_iron',
            E: 'tfc:metal/ingot/wrought_iron'
        }
    ),
    event.shaped(
        Item.of('smallships:oak_galley'),
        [
            'BAB',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:oak_logs',
            D: 'tfc:metal/rod/bronze',
            E: 'tfc:metal/ingot/bronze'
        }
    ),
    event.shaped(
        Item.of('smallships:oak_drakkar'),
        [
            'BAB',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:oak_logs',
            D: 'tfc:metal/rod/copper',
            E: 'tfc:metal/ingot/copper'
        }
    ),
    event.shaped(
        Item.of('smallships:spruce_brigg'),
        [
            'ABA',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:spruce_logs',
            D: 'tfc:metal/rod/steel',
            E: 'tfc:metal/ingot/steel'
        }
    ),
    event.shaped(
        Item.of('smallships:spruce_cog'),
        [
            'BAB',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:spruce_logs',
            D: 'tfc:metal/rod/wrought_iron',
            E: 'tfc:metal/ingot/wrought_iron'
        }
    ),
    event.shaped(
        Item.of('smallships:spruce_galley'),
        [
            'BAB',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:spruce_logs',
            D: 'tfc:metal/rod/bronze',
            E: 'tfc:metal/ingot/bronze'
        }
    ),
    event.shaped(
        Item.of('smallships:spruce_drakkar'),
        [
            'BAB',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:spruce_logs',
            D: 'tfc:metal/rod/copper',
            E: 'tfc:metal/ingot/copper'
        }
    ),
    event.shaped(
        Item.of('smallships:birch_brigg'),
        [
            'ABA',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:birch_logs',
            D: 'tfc:metal/rod/steel',
            E: 'tfc:metal/ingot/steel'
        }
    ),
    event.shaped(
        Item.of('smallships:birch_cog'),
        [
            'BAB',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:birch_logs',
            D: 'tfc:metal/rod/wrought_iron',
            E: 'tfc:metal/ingot/wrought_iron'
        }
    ),
    event.shaped(
        Item.of('smallships:birch_galley'),
        [
            'BAB',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:birch_logs',
            D: 'tfc:metal/rod/bronze',
            E: 'tfc:metal/ingot/bronze'
        }
    ),
    event.shaped(
        Item.of('smallships:birch_drakkar'),
        [
            'BAB',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:birch_logs',
            D: 'tfc:metal/rod/copper',
            E: 'tfc:metal/ingot/copper'
        }
    ),
    event.shaped(
        Item.of('smallships:acacia_brigg'),
        [
            'ABA',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:acacia_logs',
            D: 'tfc:metal/rod/steel',
            E: 'tfc:metal/ingot/steel'
        }
    ),
    event.shaped(
        Item.of('smallships:acacia_cog'),
        [
            'BAB',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:acacia_logs',
            D: 'tfc:metal/rod/wrought_iron',
            E: 'tfc:metal/ingot/wrought_iron'
        }
    ),
    event.shaped(
        Item.of('smallships:acacia_galley'),
        [
            'BAB',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:acacia_logs',
            D: 'tfc:metal/rod/bronze',
            E: 'tfc:metal/ingot/bronze'
        }
    ),
    event.shaped(
        Item.of('smallships:acacia_drakkar'),
        [
            'BAB',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:acacia_logs',
            D: 'tfc:metal/rod/copper',
            E: 'tfc:metal/ingot/copper'
        }
    ),
    event.shaped(
        Item.of('smallships:dark_oak_brigg'),
        [
            'ABA',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:hickory_logs',
            D: 'tfc:metal/rod/steel',
            E: 'tfc:metal/ingot/steel'
        }
    ),
    event.shaped(
        Item.of('smallships:dark_oak_cog'),
        [
            'BAB',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:hickory_logs',
            D: 'tfc:metal/rod/wrought_iron',
            E: 'tfc:metal/ingot/wrought_iron'
        }
    ),
    event.shaped(
        Item.of('smallships:dark_oak_galley'),
        [
            'BAB',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:hickory_logs',
            D: 'tfc:metal/rod/bronze',
            E: 'tfc:metal/ingot/bronze'
        }
    ),
    event.shaped(
        Item.of('smallships:dark_oak_drakkar'),
        [
            'BAB',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:hickory_logs',
            D: 'tfc:metal/rod/copper',
            E: 'tfc:metal/ingot/copper'
        }
    ),
    event.shaped(
        Item.of('smallships:cherry_brigg'),
        [
            'ABA',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#afc:fig_logs',
            D: 'tfc:metal/rod/steel',
            E: 'tfc:metal/ingot/steel'
        }
    ),
    event.shaped(
        Item.of('smallships:cherry_cog'),
        [
            'BAB',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#afc:fig_logs',
            D: 'tfc:metal/rod/wrought_iron',
            E: 'tfc:metal/ingot/wrought_iron'
        }
    ),
    event.shaped(
        Item.of('smallships:cherry_galley'),
        [
            'BAB',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#afc:fig_logs',
            D: 'tfc:metal/rod/bronze',
            E: 'tfc:metal/ingot/bronze'
        }
    ),
    event.shaped(
        Item.of('smallships:cherry_drakkar'),
        [
            'BAB',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#afc:fig_logs',
            D: 'tfc:metal/rod/copper',
            E: 'tfc:metal/ingot/copper'
        }
    ),
    event.shaped(
        Item.of('smallships:mangrove_brigg'),
        [
            'ABA',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:mangrove_logs',
            D: 'tfc:metal/rod/steel',
            E: 'tfc:metal/ingot/steel'
        }
    ),
    event.shaped(
        Item.of('smallships:mangrove_cog'),
        [
            'BAB',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:mangrove_logs',
            D: 'tfc:metal/rod/wrought_iron',
            E: 'tfc:metal/ingot/wrought_iron'
        }
    ),
    event.shaped(
        Item.of('smallships:mangrove_galley'),
        [
            'BAB',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:mangrove_logs',
            D: 'tfc:metal/rod/bronze',
            E: 'tfc:metal/ingot/bronze'
        }
    ),
    event.shaped(
        Item.of('smallships:mangrove_drakkar'),
        [
            'BAB',
            'CDE',
            'CCC'
        ],
        {
            A: 'smallships:sail',
            B: '#c:strings',
            C: '#tfc:mangrove_logs',
            D: 'tfc:metal/rod/copper',
            E: 'tfc:metal/ingot/copper'
        }
    ),
    event.shaped('chalk:chalk_box', [
    'A A',
    'ACA',
    'AAA'
  ], {
    A: 'minecraft:paper',
    C: 'tfc:glue'
  }),

  event.shaped('dragonsurvival:elder_dragon_heart', [
    'ABC',
    'BDB',
    'EBC'
  ], {
    A: 'tfc:gem/diamond',
    B: 'tfc:metal/ingot/gold',
    C: 'tfc_ie_addon:mineral/quartz_shard',
    D: 'irons_spellbooks:arcane_essence',
    E: 'minecraft:bone'
  }),

  event.shaped('irons_spellbooks:copper_spell_book', [
    'ABC',
    'DEF',
    'GHI'
  ], {
    A: 'minecraft:leather',
    B: 'tfc:plant/sagebrush',
    C: 'tfc:plant/yucca',
    D: 'tfc:metal/ingot/copper',
    E: 'minecraft:book',
    F: 'tfc:sea_pickle',
    G: 'minecraft:leather',
    H: 'tfc:plant/butterfly_milkweed',
    I: 'tfc:plant/labrador_tea'
  }),

  event.shaped('irons_spellbooks:iron_spell_book', [
    'ABB',
    'ACB',
    'ABB'
  ], {
    A: 'tfc:metal/ingot/cast_iron',
    B: 'minecraft:paper',
    C: 'irons_spellbooks:copper_spell_book'
  }),

  event.shaped('irons_spellbooks:rotten_spell_book', [
    'AAA',
    'ABA',
    'AAA'
  ], {
    A: 'minecraft:rotten_flesh',
    B: 'irons_spellbooks:iron_spell_book'
  }),

  event.shaped('irons_spellbooks:gold_spell_book', [
    'ABC',
    'DEF',
    'GHC'
  ], {
    A: 'tfc:powder/opal',
    B: 'tfc:powder/amethyst',
    C: 'minecraft:paper',
    D: 'tfc:metal/double_sheet/gold',
    E: 'irons_spellbooks:iron_spell_book',
    F: 'minecraft:paper',
    G: 'tfc:powder/sapphire',
    H: 'tfc:powder/diamond'
  }),

  event.shaped('minecraft:slime_ball', [
    ' A ',
    'BCB',
    ' A '
  ], {
    A: 'tfc:powder/salt',
    B: 'minecraft:lime_dye',
    C: 'tfc:glue'
  }),

  event.shaped('minecraft:blaze_rod', [
    ' AB',
    'CAC',
    'BA '
  ], {
    A: 'minecraft:fire_charge',
    B: 'tfc:powder/ruby',
    C: 'tfc:metal/rod/copper'
  }),

  event.shaped('irons_spellbooks:blaze_spell_book', [
    'ABA',
    'CDC',
    'AEA'
  ], {
    A: 'minecraft:gunpowder',
    B: 'minecraft:magma_cream',
    C: 'minecraft:fire_charge',
    D: 'irons_spellbooks:diamond_spell_book',
    E: 'minecraft:blaze_rod'
  }),

  event.shaped('irons_spellbooks:druidic_spell_book', [
    'ABC',
    'BDC',
    'EBC'
  ], {
    A: 'tfc:plant/blood_lily',
    B: 'tfc:plant/moss',
    C: 'minecraft:paper',
    D: 'irons_spellbooks:diamond_spell_book',
    E: 'tfc:plant/lily_of_the_valley'
  }),

  event.shaped('irons_spellbooks:divine_pearl', [
    ' AB',
    'CDA',
    'EC '
  ], {
    A: 'tfc:powder/amethyst',
    B: 'tfc:powder/amethyst',
    C: 'tfc:plant/dandelion',
    D: 'tfc:metal/double_sheet/gold',
    E: 'tfc:powder/sapphire'
  }),

  event.shaped('irons_spellbooks:villager_spell_book', [
    'ABC',
    'BDC',
    'ABC'
  ], {
    A: 'tfc:metal/sheet/gold',
    B: 'irons_spellbooks:divine_pearl',
    C: 'minecraft:paper',
    D: 'irons_spellbooks:diamond_spell_book'
  }),

  event.shaped('irons_spellbooks:diamond_spell_book', [
    'AAC',
    'BDC',
    'AAC'
  ], {
    A: 'tfc:powder/diamond',
    B: 'tfc:large_soaked_hide',
    C: 'minecraft:paper',
    D: 'irons_spellbooks:gold_spell_book'
  }),

  event.shaped('irons_spellbooks:netherite_spell_book', [
    'ABC',
    'BDC',
    'ABE'
  ], {
    A: 'tfc:metal/sheet/black_steel',
    B: 'tfc:metal/sheet/steel',
    C: 'minecraft:paper',
    D: 'irons_spellbooks:diamond_spell_book',
    E: 'tfc:gem/ruby'
  }),

  event.shaped('irons_spellbooks:dragonskin_spell_book', [
    'ABC',
    'DEC',
    'ABC'
  ], {
    A: 'tfc:metal/sheet/black_steel',
    B: 'tfc:metal/sheet/steel',
    C: 'minecraft:obsidian',
    D: 'irons_spellbooks:dragonskin',
    E: 'irons_spellbooks:diamond_spell_book'
  }),
  event.shaped('minecraft:brewing_stand', [
    ' A ',
    'BAB',
    'CCC'
  ], {
    A: 'minecraft:blaze_rod',
    B: 'minecraft:glass_bottle',
    C: '#c:cobblestones/normal'
  }),

  event.shaped('minecraft:brewing_stand', [
    ' A ',
    'BAB',
    'CCC'
  ], {
    A: 'minecraft:blaze_rod',
    B: '#tfc:glass_bottles',
    C: '#c:cobblestones/normal'
  }),

  event.shaped('irons_spellbooks:magic_cloth', [
    'AAA',
    'ABA',
    'CCC'
  ], {
    A: '#tfc:high_quality_cloth',
    B: 'tfc:stick_bunch',
    C: 'irons_spellbooks:arcane_essence'
  }),

  event.shaped('irons_spellbooks:pumpkin_boots', [
    'A A',
    'BCB',
    '   '
  ], {
    A: 'minecraft:hay_block',
    B: 'irons_spellbooks:magic_cloth',
    C: 'tfc:metal/boots/steel'
  }),

  event.shaped('irons_spellbooks:pumpkin_leggings', [
    'ABA',
    'CDC',
    'B B'
  ], {
    A: 'minecraft:hay_block',
    B: 'minecraft:leather',
    C: 'irons_spellbooks:magic_cloth',
    D: 'tfc:metal/greaves/steel'
  }),

  event.shaped('irons_spellbooks:pumpkin_chestplate', [
    'ABA',
    'CDC',
    'CBC'
  ], {
    A: 'minecraft:hay_block',
    B: 'minecraft:leather',
    C: 'irons_spellbooks:magic_cloth',
    D: 'tfc:metal/chestplate/steel'
  }),

  event.shaped('irons_spellbooks:pumpkin_helmet', [
    ' B ',
    'BCB',
    ' A '
  ], {
    A: 'minecraft:carved_pumpkin',
    B: 'irons_spellbooks:magic_cloth',
    C: 'tfc:metal/helmet/steel'
  }),

  event.shaped('irons_spellbooks:fire_rune', [
    ' A ',
    'ABA',
    ' A '
  ], {
    A: 'minecraft:blaze_rod',
    B: 'irons_spellbooks:blank_rune'
  }),

  event.shaped('irons_spellbooks:blood_rune', [
    'AAA',
    'ABA',
    'AAA'
  ], {
    A: 'irons_spellbooks:blood_vial',
    B: 'irons_spellbooks:blank_rune'
  }),

  event.shaped('irons_spellbooks:lightning_rune', [
    ' A ',
    'ABA',
    ' A '
  ], {
    A: 'irons_spellbooks:lightning_bottle',
    B: 'irons_spellbooks:blank_rune'
  }),

  event.shaped('irons_spellbooks:ender_rune', [
    'AAA',
    'ABA',
    'AAA'
  ], {
    A: 'minecraft:ender_pearl',
    B: 'irons_spellbooks:blank_rune'
  }),

  event.shaped('irons_spellbooks:holy_rune', [
    ' A ',
    'ABA',
    ' A '
  ], {
    A: 'irons_spellbooks:divine_pearl',
    B: 'irons_spellbooks:blank_rune'
  }),

  event.shaped('irons_spellbooks:ice_rune', [
    'AAA',
    'ABA',
    'AAA'
  ], {
    A: 'irons_spellbooks:frozen_bone',
    B: 'irons_spellbooks:blank_rune'
  }),

  event.shaped('irons_spellbooks:nature_rune', [
    'AAA',
    'ABA',
    'AAA'
  ], {
    A: 'minecraft:poisonous_potato',
    B: 'irons_spellbooks:blank_rune'
  }),

  event.shaped('irons_spellbooks:pyromancer_boots', [
    'ABA',
    'CDC',
    '   '
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'irons_spellbooks:fire_rune',
    C: 'irons_spellbooks:magic_cloth',
    D: 'tfc:metal/boots/black_steel'
  }),

  event.shaped('irons_spellbooks:pyromancer_leggings', [
    'AAA',
    'ABA',
    'ACA'
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'tfc:metal/greaves/black_steel',
    C: 'irons_spellbooks:fire_rune'
  }),

  event.shaped('irons_spellbooks:pyromancer_chestplate', [
    'ABA',
    'ACA',
    'AAA'
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'irons_spellbooks:fire_rune',
    C: 'tfc:metal/chestplate/black_steel'
  }),

  event.shaped('irons_spellbooks:pyromancer_helmet', [
    'AAA',
    'ABA',
    ' C '
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'tfc:metal/helmet/black_steel',
    C: 'irons_spellbooks:fire_rune'
  }),

  event.shaped('irons_spellbooks:electromancer_boots', [
    'ABA',
    'CDC',
    '   '
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'irons_spellbooks:lightning_rune',
    C: 'irons_spellbooks:magic_cloth',
    D: 'tfc:metal/boots/black_steel'
  }),

  event.shaped('irons_spellbooks:electromancer_leggings', [
    'AAA',
    'ABA',
    'ACA'
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'tfc:metal/greaves/black_steel',
    C: 'irons_spellbooks:lightning_rune'
  }),

  event.shaped('irons_spellbooks:electromancer_chestplate', [
    'ABA',
    'ACA',
    'AAA'
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'irons_spellbooks:lightning_rune',
    C: 'tfc:metal/chestplate/black_steel'
  }),

  event.shaped('irons_spellbooks:electromancer_helmet', [
    'AAA',
    'ABA',
    ' C '
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'tfc:metal/helmet/black_steel',
    C: 'irons_spellbooks:lightning_rune'
  }),

  event.shaped('irons_spellbooks:cultist_boots', [
    'ABA',
    'CDC',
    '   '
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'irons_spellbooks:blood_rune',
    C: 'irons_spellbooks:magic_cloth',
    D: 'tfc:metal/boots/black_steel'
  }),
  event.shaped('irons_spellbooks:cultist_leggings', [
    'AAA',
    'ABA',
    'ACA'
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'tfc:metal/greaves/black_steel',
    C: 'irons_spellbooks:blood_rune'
  }),

  event.shaped('irons_spellbooks:cultist_chestplate', [
    'ABA',
    'ACA',
    'AAA'
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'irons_spellbooks:blood_rune',
    C: 'tfc:metal/chestplate/black_steel'
  }),

  event.shaped('irons_spellbooks:cultist_helmet', [
    'AAA',
    'ABA',
    ' C '
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'tfc:metal/helmet/black_steel',
    C: 'irons_spellbooks:blood_rune'
  }),

  event.shaped('irons_spellbooks:cryomancer_boots', [
    'ABA',
    'CDC',
    '   '
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'irons_spellbooks:ice_rune',
    C: 'irons_spellbooks:magic_cloth',
    D: 'tfc:metal/boots/black_steel'
  }),

  event.shaped('irons_spellbooks:cryomancer_leggings', [
    'AAA',
    'ABA',
    'ACA'
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'tfc:metal/greaves/black_steel',
    C: 'irons_spellbooks:ice_rune'
  }),

  event.shaped('irons_spellbooks:cryomancer_chestplate', [
    'ABA',
    'ACA',
    'AAA'
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'irons_spellbooks:ice_rune',
    C: 'tfc:metal/chestplate/black_steel'
  }),

  event.shaped('irons_spellbooks:cryomancer_helmet', [
    'AAA',
    'ABA',
    ' C '
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'tfc:metal/helmet/black_steel',
    C: 'irons_spellbooks:ice_rune'
  }),

  event.shaped('irons_spellbooks:shadowwalker_boots', [
    'ABA',
    'CDC',
    '   '
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'irons_spellbooks:ender_rune',
    C: 'irons_spellbooks:magic_cloth',
    D: 'tfc:metal/boots/black_steel'
  }),

  event.shaped('irons_spellbooks:shadowwalker_leggings', [
    'AAA',
    'ABA',
    'ACA'
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'tfc:metal/greaves/black_steel',
    C: 'irons_spellbooks:ender_rune'
  }),

  event.shaped('irons_spellbooks:shadowwalker_chestplate', [
    'ABA',
    'ACA',
    'AAA'
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'irons_spellbooks:ender_rune',
    C: 'tfc:metal/chestplate/black_steel'
  }),

  event.shaped('irons_spellbooks:shadowwalker_helmet', [
    'AAA',
    'ABA',
    ' C '
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'tfc:metal/helmet/black_steel',
    C: 'irons_spellbooks:ender_rune'
  }),

  event.shaped('irons_spellbooks:priest_boots', [
    'ABA',
    'CDC',
    '   '
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'irons_spellbooks:holy_rune',
    C: 'irons_spellbooks:magic_cloth',
    D: 'tfc:metal/boots/black_steel'
  }),

  event.shaped('irons_spellbooks:priest_leggings', [
    'AAA',
    'ABA',
    'ACA'
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'tfc:metal/greaves/black_steel',
    C: 'irons_spellbooks:holy_rune'
  }),

  event.shaped('irons_spellbooks:priest_chestplate', [
    'ABA',
    'ACA',
    'AAA'
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'irons_spellbooks:holy_rune',
    C: 'tfc:metal/chestplate/black_steel'
  }),

  event.shaped('irons_spellbooks:priest_helmet', [
    'AAA',
    'ABA',
    ' C '
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'tfc:metal/helmet/black_steel',
    C: 'irons_spellbooks:holy_rune'
  }),

  event.shaped('irons_spellbooks:plagued_boots', [
    'ABA',
    'CDC',
    '   '
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'irons_spellbooks:nature_rune',
    C: 'irons_spellbooks:magic_cloth',
    D: 'tfc:metal/boots/black_steel'
  }),

  event.shaped('irons_spellbooks:plagued_leggings', [
    'AAA',
    'ABA',
    'ACA'
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'tfc:metal/greaves/black_steel',
    C: 'irons_spellbooks:nature_rune'
  }),

  event.shaped('irons_spellbooks:plagued_chestplate', [
    'ABA',
    'ACA',
    'AAA'
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'irons_spellbooks:nature_rune',
    C: 'tfc:metal/chestplate/black_steel'
  }),

  event.shaped('irons_spellbooks:plagued_helmet', [
    'AAA',
    'ABA',
    ' C '
  ], {
    A: 'irons_spellbooks:magic_cloth',
    B: 'tfc:metal/helmet/black_steel',
    C: 'irons_spellbooks:nature_rune'
  }),

  event.shaped('irons_spellbooks:tarnished_helmet', [
    'AAA',
    'BCB',
    'D D'
  ], {
    A: 'tfc:metal/chain/wrought_iron',
    B: 'tfc:bone_needle',
    C: 'irons_spellbooks:arcane_essence',
    D: 'irons_spellbooks:arcane_essence'
  }),

  event.shaped('irons_spellbooks:cast_time_ring', [
    'A  ',
    ' B ',
    '   '
  ], {
    A: 'tfc:gem/amethyst',
    B: 'irons_spellbooks:mithril_scrap'
  }),

  event.shaped('irons_spellbooks:heavy_chain_necklace', [
    ' A ',
    'ABA',
    ' A '
  ], {
    A: 'tfc:metal/chain/steel',
    B: 'irons_spellbooks:mithril_scrap'
  }),

  event.shaped('irons_spellbooks:concentration_amulet', [
    ' A ',
    'BAB',
    '   '
  ], {
    A: 'tfc:metal/chain/black_steel',
    B: 'irons_spellbooks:mithril_scrap'
  }),

  event.shaped('irons_spellbooks:silver_ring', [
    ' A ',
    'A A',
    ' A '
  ], {
    A: 'tfc:metal/ingot/silver'
  }),
event.shaped('irons_spellbooks:amethyst_resonance_charm', [
    ' A ',
    'A A',
    'BA '
  ], {
    A: 'minecraft:leather',
    B: 'tfc:gem/amethyst'
  }),

  event.shaped('irons_spellbooks:conjurers_talisman', [
    ' A ',
    'ABA',
    ' C '
  ], {
    A: '#c:string',
    B: 'irons_spellbooks:mithril_scrap',
    C: 'minecraft:rotten_flesh'
  }),

  event.shaped('irons_spellbooks:graybeard_staff', [
    '  A',
    ' B ',
    'C  '
  ], {
    A: 'irons_spellbooks:arcane_essence',
    B: '#c:rods/wooden',
    C: 'tfc:metal/ingot/wrought_iron'
  }),

  event.shaped('irons_spellbooks:lightning_rod', [
    '  A',
    ' B ',
    'C  '
  ], {
    A: 'minecraft:lightning_rod',
    B: 'tfc:metal/rod/copper',
    C: 'tfc:metal/ingot/bronze'
  }),

  event.shaped('irons_spellbooks:artificer_cane', [
    ' AB',
    ' BC',
    'BC '
  ], {
    A: 'tfc:gem/amethyst',
    B: 'afc:wood/planks/mahogany',
    C: 'tfc:metal/ingot/gold'
  }),

  event.shaped('irons_spellbooks:ice_staff', [
    '  A',
    ' B ',
    'C  '
  ], {
    A: 'tfc:gem/sapphire',
    B: 'tfc:metal/rod/silver',
    C: 'tfc:metal/ingot/silver'
  }),

  event.shaped('irons_spellbooks:blood_staff', [
    ' AB',
    ' CA',
    'D  '
  ], {
    A: 'irons_spellbooks:blood_vial',
    B: 'tfc:gem/ruby',
    C: 'tfc:metal/rod/bronze',
    D: 'tfc:metal/ingot/wrought_iron'
  }),

  event.shaped('irons_spellbooks:pyrium_staff', [
    ' AB',
    ' CA',
    'A  '
  ], {
    A: 'irons_spellbooks:pyrium_ingot',
    B: 'tfc:gem/topaz',
    C: 'irons_spellbooks:magic_cloth'
  }),

  event.shaped('irons_spellbooks:upgrade_orb', [
    'ABA',
    'BCB',
    'ABA'
  ], {
    A: 'irons_spellbooks:arcane_essence',
    B: 'irons_spellbooks:mithril_scrap',
    C: 'irons_spellbooks:blank_rune'
  }),

  event.shaped('irons_spellbooks:arcane_anvil', [
    'AAA',
    'BCB',
    'DDD'
  ], {
    A: 'tfc:powder/amethyst',
    B: 'tfc:powder/diamond',
    C: 'tfc:metal/anvil/black_steel',
    D: 'irons_spellbooks:mithril_scrap'
  }),

  event.shaped('immersiveengineering:glider', [
    ' A ',
    'BCB',
    'DED'
  ], {
    A: '#c:fabric_hemp',
    B: 'tfc:metal/rod/black_steel',
    C: 'minecraft:leather_chestplate',
    D: '#c:fabric_hemp',
    E: '#c:rods/aluminum'
  }),

  event.shaped('minecraft:glistering_melon_slice', [
    'AAA',
    'ABA',
    'AAA'
  ], {
    A: 'lithiccoins:blank_coin/gold',
    B: 'tfc:food/melon_slice'
  }),

  event.shapeless('minecraft:nether_wart', [
    'tfc:powder/ruby',
    'tfc:plant/poppy'
  ]),

  event.shapeless('minecraft:nether_wart', [
    'tfc:powder/ruby',
    'tfc:plant/rose'
  ]),

  event.shapeless('minecraft:nether_wart', [
    'tfc:powder/ruby',
    'tfc:plant/tulip_red'
  ]),

  event.shapeless('minecraft:nether_wart', [
    'tfc:powder/ruby',
    'tfc:plant/blood_lily'
  ]),

  event.shapeless('dragonsurvival:elder_dragon_heart', [
    'dragonsurvival:weak_dragon_heart',
    'dragonsurvival:heart_element'
  ]),

  event.shapeless('irons_spellbooks:cinder_essence', [
    'irons_spellbooks:arcane_essence',
    'minecraft:blaze_rod',
    'minecraft:fire_charge',
    'minecraft:gunpowder'
  ]),

  event.shapeless('minecraft:glass_bottle', [
    '#tfc:glass_bottles'
  ]),

  event.shapeless('irons_spellbooks:common_ink', [
    '#tfc:glass_bottles',
    'irons_spellbooks:arcane_essence',
    'minecraft:ink_sac',
    'lithiccoins:blank_coin/gold',
    'minecraft:feather'
  ]),

  event.shapeless('irons_spellbooks:arcane_essence', [
    'tfc:powder/lapis_lazuli',
    'tfc:powder/opal',
    'tfc:powder/pyrite'
  ]),

  event.shapeless('irons_spellbooks:uncommon_ink', [
    'irons_spellbooks:common_ink',
    'irons_spellbooks:arcane_essence',
    'irons_spellbooks:arcane_essence',
    'irons_spellbooks:arcane_essence',
    'tfc:metal/chain/wrought_iron',
    'tfc:metal/chain/wrought_iron',
    'tfc:metal/chain/wrought_iron',
    'tfc:metal/chain/wrought_iron',
    'tfc:metal/chain/wrought_iron'
  ]),

  event.shapeless('irons_spellbooks:rare_ink', [
    'irons_spellbooks:uncommon_ink',
    'irons_spellbooks:arcane_essence',
    'tfc:powder/emerald',
    'tfc:powder/amethyst',
    'tfc:powder/ruby',
    'tfc:powder/sapphire',
    'lithiccoins:blank_coin/stainless_steel'
  ]),

  event.shapeless('minecraft:poisonous_potato', [
    'tfc:food/potato',
    'minecraft:rotten_flesh'
  ]),

  event.shapeless('irons_spellbooks:frozen_bone', [
    'minecraft:bone',
    'firmalife:ice_shavings'
  ]),

  event.shapeless('irons_spellbooks:blank_rune', [
    '#c:cobblestones/normal',
    'irons_spellbooks:arcane_essence'
  ]),

  event.shapeless('irons_spellbooks:lightning_bottle', [
    '#tfc:glass_bottles',
    'irons_spellbooks:arcane_essence',
    'irons_spellbooks:arcane_essence'
  ]),

  event.shapeless('irons_spellbooks:lightning_bottle', [
    'minecraft:glass_bottle',
    'irons_spellbooks:arcane_essence',
    'irons_spellbooks:arcane_essence'
  ]),

  event.shapeless('irons_spellbooks:mithril_scrap', [
    'firmalife:metal/ingot/chromium',
    'tfc:metal/ingot/silver',
    'tfc:metal/ingot/wrought_iron',
    'irons_spellbooks:arcane_essence'
  ]),

  event.shapeless('irons_spellbooks:pyrium_ingot', [
    'irons_spellbooks:mithril_ingot',
    'minecraft:blaze_powder',
    'minecraft:blaze_powder',
    'irons_spellbooks:arcane_essence'
  ]),

  event.shapeless('irons_spellbooks:blood_vial', [
    '#tfc:glass_bottles',
    '#tfc:foods/can_be_salted',
    'tfc:bone_needle'
  ]),

  event.shapeless('irons_spellbooks:ice_venom_vial', [
    '#tfc:glass_bottles',
    'irons_spellbooks:frozen_bone',
    'firmalife:ice_shavings',
    'firmalife:ice_shavings'
  ]),

  event.shapeless('irons_spellbooks:mana_ring', [
    'tfc:gem/sapphire',
    'irons_spellbooks:silver_ring',
    'irons_spellbooks:arcane_essence'
  ])
}
)









